## GtkInvisible GtkInvisible |

## Functions

GtkWidget * | gtk_invisible_new ()
GtkWidget * | gtk_invisible_new_for_screen ()
void | gtk_invisible_set_screen ()
GdkScreen * | gtk_invisible_get_screen ()

## Properties

GdkScreen * | screen | Read / Write

## Types and Values

struct | GtkInvisible

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkInvisible

## Implemented Interfaces

GtkInvisible implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_invisible_new ()

    GtkWidget *
    gtk_invisible_new (void);

Creates a new GtkInvisible.

#### Returns

a new GtkInvisible.

### gtk_invisible_new_for_screen ()

    GtkWidget *
    gtk_invisible_new_for_screen (GdkScreen *screen);

Creates a new GtkInvisible object for a specified screen

#### Parameters

screen | a GdkScreen which identifies on which the new GtkInvisible will be created. |

#### Returns

a newly created GtkInvisible object

Since: 2.2

### gtk_invisible_set_screen ()

    void
    gtk_invisible_set_screen (GtkInvisible *invisible,
                              GdkScreen *screen);

Sets the GdkScreen where the GtkInvisible object will be displayed.

#### Parameters

invisible | a GtkInvisible. |
screen | a GdkScreen. |

Since: 2.2

### gtk_invisible_get_screen ()

    GdkScreen *
    gtk_invisible_get_screen (GtkInvisible *invisible);

Returns the GdkScreen object associated with `invisible`

#### Parameters

invisible | a GtkInvisible. |

#### Returns

the associated GdkScreen.

[transfer none]

Since: 2.2

## Types and Values

### struct GtkInvisible

    struct GtkInvisible;

## Property Details

### The `“screen”` property

      “screen”                   GdkScreen *

The screen where this window will be displayed.

Owner: GtkInvisible

Flags: Read / Write